'use strict';

module.exports = function(query) {
	return query.map((segment) => {
		if (segment.type === "identifier") {
			return segment.value;
		} else if (segment.type === "wildcard") {
			return "**";
		} else {
			return "?";
		}
	}).join("/");
}

